Opened 11 years ago

Closed 11 years ago

#6519 closed patch (fixed)

Re-enable Perl and Python Bindings with Qt 4.4 on OSX

Reported by: mythtv@… Owned by: Nigel
Priority: minor Milestone: unknown
Component: Ports - OSX Version: unknown
Severity: medium Keywords:
Cc: Ticket locked: no

Description

Qt 4.4 and above configure QMAKE_MACOSX_DEPLOYMENT_TARGET to be 10.3 by default. The Python bindings installation detects any inconsistencies between the system version and the deployment target resulting in a Python exception on anything other than version 10.3 of OSX.

As the QMake project file is not really building any Qt based sources we can simply override the QMAKE_MACOSX_DEPLOYMENT_TARGET configuration in MythTV bindings/python/python.pro.

Attachments (2)

osx_bindings_python.patch (351 bytes) - added by mythtv@… 11 years ago.
Disable QMAKE_MACOSX_DEPLOYMENT_TARGET override in MythTV bindings/python/python.pro
osx_enable_python.patch (466 bytes) - added by mythtv@… 11 years ago.
Re-enable Python and Perl bindings in osx-packager.pl

Download all attachments as: .zip

Change History (4)

Changed 11 years ago by mythtv@…

Attachment: osx_bindings_python.patch added

Disable QMAKE_MACOSX_DEPLOYMENT_TARGET override in MythTV bindings/python/python.pro

Changed 11 years ago by mythtv@…

Attachment: osx_enable_python.patch added

Re-enable Python and Perl bindings in osx-packager.pl

comment:1 Changed 11 years ago by Nigel

(In [20487]) On Mac X, allow make install against Qt 4.4. See #6519.

comment:2 Changed 11 years ago by Nigel

Resolution: fixed
Status: newclosed

(In [20488]) Re-enable bindings install (which isn't actually used in OS X packages, but for completeness should probably be here). Closes #6519. Thanks Peter.

Note: See TracTickets for help on using tickets.